PMEMCTO_MALLOC_USABLE_SIZE(3)

NAME

pmemcto_malloc_usable_size - obtain size of block of memory allocated from pool

SYNOPSIS

    #include <libpmemcto.h>

    size_t pmemcto_malloc_usable_size(PMEMctopool *pcp, void *ptr);

DESCRIPTION

The pmemcto_malloc_usable_size() function provides the same semantics as malloc_usable_size(3), but operates on the memory pool pcp instead of the process heap supplied by the system. It returns the number of usable bytes in the block of allocated memory pointed to by ptr, a pointer to a block of memory allocated by pmemcto_malloc(3) or a related function.

RETURN VALUE

The pmemcto_malloc_usable_size() function returns the number of usable bytes in the block of allocated memory pointed to by ptr. If ptr is NULL, 0 is returned.

SEE ALSO

jemalloc(3), malloc(3), malloc_usable_size(3), pmemcto_malloc(3), libpmemcto(7) and <http://pmem.io>